package com.bonus.boot.manager.basic.service;

import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.basic.entity.ZNode;

import java.util.List;

public interface PersonnelLibraryService {
    List<PersonnelLibraryBean> getList(PersonnelLibraryBean o);

    int addInfo(PersonnelLibraryBean bean);

    int updateInfo(PersonnelLibraryBean bean);

    PersonnelLibraryBean getListById(String id);

    int delById(PersonnelLibraryBean bean);

    int resetPassword(PersonnelLibraryBean bean);

    List<ZNode> getDepartmentTree();
}
